Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Mastercard Authorization


Use this information to process a Mastercard authorization with EMV data for a nominal amount.

Response Field Handling

When you receive the AUTH_DECLINE_CAPTURE_POSSIBLE value in the errorInformation.reason field of an authorization response, it indicates that a capture attempt will not be rejected automatically. Before processing the capture, verify that it is permitted in this scenario by reviewing the card scheme's First Ride Risk and shared-liability rules.

For an example of the field data, see the response in the Visa Deferred Sale REST example. For more information about the field, see the errorInformation.reason field description.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "comments": "TransitDA BAU nominal value auth",        "code": "10000568",        "transactionId": "20000568",        "partner": {            "thirdPartyCertificationNumber": "BPCDRC220403",            "solutionId": "548UHQ8Z"        }    },    "processingInformation": {        "industryDataType": "transit",        "commerceIndicator": "retail",        "capture": "false",        "captureOptions": {            "dateToCapture": "0425"        },        "authorizationOptions": {            "authIndicator": "0",            "deferredAuthIndicator": "true",            "aggregatedAuthIndicator": "true",            "transportationMode": "00"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "currency": "EUR"        }    },    "paymentInformation": {        "card": {            "type": "002"        },        "initiationChannel": "00"    },    "pointOfSaleInformation": {        "terminalId": "12345678",        "catLevel": "2",        "entryMode": "contactless",        "terminalCapability": "5",        "terminalPinCapability": "0",        "emv": {            "tags": "5F2A0209768407A00000000410109F360200039F03060000000000009C01005F3401019F10120110A0000F040000000000000000000000FF9F33030008C89A032204259F2608093A260A58500E949F2701809F020600000000010082021B809F34033F00029F1A0209769F37046F4D8104950500200000019F6E06005601023030"        },        "trackData": ";5413XXXXXXXXXXXX=49122010123456789?",        "serviceCode": "201"    }}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/payments/6508877845426512004004"        }    },    "clientReferenceInformation": {        "code": "10000574",        "partner": {            "solutionId": "548UHQ8Z"        },        "transactionId": "20000574"    },    "errorInformation": {        "reason": "AUTH_DECLINE_CAPTURE_POSSIBLE",        "message": "Authorization Declined. Follow-on Capture can be processed."    },    "id": "6508877845426512004004",    "pointOfSaleInformation": {        "emv": {            "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"        }    },    "processorInformation": {        "systemTraceAuditNumber": "164207",        "networkTransactionId": "016153570198200",        "retrievalReferenceNumber": "211511164207",        "transactionId": "016153570198200",        "responseCode": "05",        "avs": {            "code": "2"        }    },    "status": "AUTHORIZED"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet this field to TransitDA BAU nominal value auth.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.typeSet this field to 002.
paymentInformation.initiationChannel
pointOfSaleInformation.catLevelSet this field to 2.
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryModeSet this field to contactless.
pointOfSaleInformation.serviceCode
pointOfSaleInformation.terminalCapabilitySet this field to 5.
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapabilitySet this field to 0.
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.aggregatedAuthIndicatorSet this field to true.
processingInformation.authorizationOptions.authIndicatorSet this field to 0.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.authorizationOptions.transportationMode
processingInformation.captureOptions.dateToCapture
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.industryDataTypeSet this field to transit.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.